Upstream information

CVE-2021-45463 at MITRE

Description

load_cache in GEGL before 0.4.34 allows shell expansion when a pathname in a constructed command line is not escaped or filtered. This is caused by use of the system library function for execution of the ImageMagick convert fallback in magick-load. NOTE: GEGL releases before 0.4.34 are used in GIMP releases before 2.10.30; however, this does not imply that GIMP builds enable the vulnerable feature.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 7.8
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1194045 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Liberty Linux 7
SUSE Liberty Linux 7 LTSS
  • gegl >= 0.2.0-19.el7_9.1
  • gegl-devel >= 0.2.0-19.el7_9.1
Patchnames:
RHSA-2022:0162
SUSE Liberty Linux 8
  • gegl04 >= 0.4.4-6.el8_5.2
Patchnames:
RHSA-2022:0177
SUSE Linux Enterprise Desktop 15 SP2
SUSE Linux Enterprise Server 15 SP2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
SUSE Linux Enterprise Workstation Extension 15 SP2
  • gegl-0_3 >= 0.3.34-3.3.1
  • gegl-0_4 >= 0.4.16-3.3.1
  • gegl-0_4-lang >= 0.4.16-3.3.1
  • gegl-devel >= 0.4.16-3.3.1
  • libgegl-0_3-0 >= 0.3.34-3.3.1
  • libgegl-0_4-0 >= 0.4.16-3.3.1
  • typelib-1_0-Gegl-0_3 >= 0.3.34-3.3.1
  • typelib-1_0-Gegl-0_4 >= 0.4.16-3.3.1
Patchnames:
SUSE-SLE-Product-WE-15-SP2-2021-4209
SUSE-SLE-Product-WE-15-SP2-2021-4210
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Linux Enterprise Workstation Extension 15 SP3
  • gegl-0_3 >= 0.3.34-3.3.1
  • gegl-0_4 >= 0.4.16-3.3.1
  • gegl-0_4-lang >= 0.4.16-3.3.1
  • gegl-devel >= 0.4.16-3.3.1
  • libgegl-0_3-0 >= 0.3.34-3.3.1
  • libgegl-0_4-0 >= 0.4.16-3.3.1
  • typelib-1_0-Gegl-0_3 >= 0.3.34-3.3.1
  • typelib-1_0-Gegl-0_4 >= 0.4.16-3.3.1
Patchnames:
SUSE-SLE-Product-WE-15-SP3-2021-4209
SUSE-SLE-Product-WE-15-SP3-2021-4210
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Linux Enterprise Workstation Extension 15 SP4
  • gegl-0_3 >= 0.3.34-3.3.1
  • libgegl-0_3-0 >= 0.3.34-3.3.1
  • typelib-1_0-Gegl-0_3 >= 0.3.34-3.3.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP4 GA gegl-0.3.34-3.3.1
SUSE Linux Enterprise Workstation Extension 15 SP4 GA gegl-0_3-0.3.34-3.3.1
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
SUSE Linux Enterprise Workstation Extension 15 SP5
  • gegl-0_3 >= 0.3.34-3.3.1
  • libgegl-0_3-0 >= 0.3.34-3.3.1
  • typelib-1_0-Gegl-0_3 >= 0.3.34-3.3.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP5 GA gegl-0.3.34-3.3.1
SUSE Linux Enterprise Desktop 15 SP6
SUSE Linux Enterprise Server 15 SP6
SUSE Linux Enterprise Server for SAP Applications 15 SP6
SUSE Linux Enterprise Workstation Extension 15 SP6
  • gegl-0_3 >= 0.3.34-3.3.1
  • libgegl-0_3-0 >= 0.3.34-3.3.1
  • typelib-1_0-Gegl-0_3 >= 0.3.34-3.3.1
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 SP6 GA gegl-0.3.34-3.3.1
SUSE Linux Enterprise Module for Package Hub 15 SP3
  • gegl >= 0.4.16-3.3.1
  • gegl-0_4 >= 0.4.16-3.3.1
  • gegl-0_4-lang >= 0.4.16-3.3.1
  • gegl-devel >= 0.4.16-3.3.1
  • gegl-doc >= 0.4.16-3.3.1
  • libgegl-0_4-0 >= 0.4.16-3.3.1
  • typelib-1_0-Gegl-0_4 >= 0.4.16-3.3.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-SP3-2021-4209
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • gegl-0_2 >= 0.2.0-15.6.1
  • gegl-0_2-lang >= 0.2.0-15.6.1
  • gegl-devel >= 0.2.0-15.6.1
  • libgegl-0_2-0 >= 0.2.0-15.6.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2021-4193
SUSE-SLE-WE-12-SP5-2021-4193
SUSE Linux Enterprise Software Development Kit 12 SP5
  • gegl-devel >= 0.2.0-15.6.1
  • libgegl-0_2-0 >= 0.2.0-15.6.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2021-4193
SUSE Linux Enterprise Workstation Extension 12 SP5
  • gegl-0_2 >= 0.2.0-15.6.1
  • gegl-0_2-lang >= 0.2.0-15.6.1
  • libgegl-0_2-0 >= 0.2.0-15.6.1
Patchnames:
SUSE-SLE-WE-12-SP5-2021-4193
openSUSE Leap 15.3
  • gegl >= 0.4.16-3.3.1
  • gegl-0_3 >= 0.3.34-3.3.1
  • gegl-0_3-lang >= 0.3.34-3.3.1
  • gegl-0_4 >= 0.4.16-3.3.1
  • gegl-0_4-lang >= 0.4.16-3.3.1
  • gegl-devel >= 0.4.16-3.3.1
  • gegl-doc >= 0.4.16-3.3.1
  • libgegl-0_3-0 >= 0.3.34-3.3.1
  • libgegl-0_4-0 >= 0.4.16-3.3.1
  • libgegl-0_4-0-32bit >= 0.4.16-3.3.1
  • typelib-1_0-Gegl-0_3 >= 0.3.34-3.3.1
  • typelib-1_0-Gegl-0_4 >= 0.4.16-3.3.1
Patchnames:
openSUSE-SLE-15.3-2021-4209
openSUSE-SLE-15.3-2021-4210
openSUSE Tumbleweed
  • gegl >= 0.4.34-2.1
  • gegl-0_4 >= 0.4.34-2.1
  • gegl-0_4-lang >= 0.4.34-2.1
  • gegl-devel >= 0.4.34-2.1
  • gegl-doc >= 0.4.34-2.1
  • libgegl-0_4-0 >= 0.4.34-2.1
  • libgegl-0_4-0-32bit >= 0.4.34-2.1
  • typelib-1_0-Gegl-0_4 >= 0.4.34-2.1
Patchnames:
openSUSE-Tumbleweed-2024-11788


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Desktop 15 SP5 gegl Released
SUSE Linux Enterprise Desktop 15 SP6 gegl Released
SUSE Linux Enterprise Module for Package Hub 15 SP6 gegl Already fixed
SUSE Linux Enterprise Server 12 SP5 gegl Released
SUSE Linux Enterprise Server 15 SP5 gegl Released
SUSE Linux Enterprise Server 15 SP6 gegl Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 gegl Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 gegl Released
SUSE Linux Enterprise Server for SAP Applications 15 SP6 gegl Released
SUSE Linux Enterprise Software Development Kit 12 SP5 gegl Released
SUSE Linux Enterprise Workstation Extension 12 SP5 gegl Released
SUSE Linux Enterprise Workstation Extension 15 SP5 gegl Released
SUSE Linux Enterprise Workstation Extension 15 SP6 gegl Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 gegl Released
SUSE Linux Enterprise Server 15 SP2 gegl Released
SUSE Linux Enterprise Server 15 SP3 gegl Released
SUSE Linux Enterprise Server 15 SP4 gegl Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 gegl Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 gegl Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 gegl Released
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 12 SP2 gegl Affected
SUSE Linux Enterprise Desktop 12 SP3 gegl Affected
SUSE Linux Enterprise Desktop 12 SP4 gegl Affected
SUSE Linux Enterprise Desktop 15 gegl Affected
SUSE Linux Enterprise Desktop 15 SP1 gegl Affected
SUSE Linux Enterprise Desktop 15 SP2 gegl Released
SUSE Linux Enterprise Desktop 15 SP3 gegl Released
SUSE Linux Enterprise Module for Package Hub 15 SP3 gegl Released
SUSE Linux Enterprise Server 12 SP2 gegl Affected
SUSE Linux Enterprise Server 12 SP3 gegl Affected
SUSE Linux Enterprise Server 12 SP4 gegl Affected
SUSE Linux Enterprise Server 15 gegl Affected
SUSE Linux Enterprise Server 15 SP1 gegl Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 gegl Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 gegl Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 gegl Affected
SUSE Linux Enterprise Server for SAP Applications 15 gegl Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 gegl Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 gegl Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 gegl Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 gegl Affected
SUSE Linux Enterprise Workstation Extension 12 SP2 gegl Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 gegl Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 gegl Affected
SUSE Linux Enterprise Workstation Extension 15 gegl Affected
SUSE Linux Enterprise Workstation Extension 15 SP1 gegl Affected
SUSE Linux Enterprise Workstation Extension 15 SP2 gegl Released
SUSE Linux Enterprise Workstation Extension 15 SP3 gegl Released
SUSE Linux Enterprise Workstation Extension 15 SP4 gegl Released


SUSE Timeline for this CVE

CVE page created: Thu Dec 23 13:00:04 2021
CVE page last modified: Sun Jun 16 01:53:23 2024